<?php
/**
* Header Options.
*
* @package Omega Blogger
*/

$omega_blogger_default = omega_blogger_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'omega_blogger_button_header_setting',
	array(
	'title'      => esc_html__( 'Header Settings', 'omega-blogger' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'omega_blogger_theme_option_panel',
	)
);

$wp_customize->add_setting('omega_blogger_sticky',
    array(
        'default' => $omega_blogger_default['omega_blogger_sticky'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'omega_blogger_sanitize_checkbox',
    )
);
$wp_customize->add_control('omega_blogger_sticky',
    array(
        'label' => esc_html__('Enable Sticky Header', 'omega-blogger'),
        'section' => 'omega_blogger_button_header_setting',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('omega_blogger_menu_font_size',
    array(
        'default'           => $omega_blogger_default['omega_blogger_menu_font_size'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'omega_blogger_sanitize_number_range',
    )
);
$wp_customize->add_control('omega_blogger_menu_font_size',
    array(
        'label'       => esc_html__('Menu Font Size', 'omega-blogger'),
        'section'     => 'omega_blogger_button_header_setting',
        'type'        => 'number',
        'input_attrs' => array(
           'min'   => 1,
           'max'   => 30,
           'step'   => 1,
        ),
    )
);

$wp_customize->add_setting( 'omega_blogger_menu_text_transform',
    array(
    'default'           => $omega_blogger_default['omega_blogger_menu_text_transform'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'omega_blogger_sanitize_menu_transform',
    )
);
$wp_customize->add_control( 'omega_blogger_menu_text_transform',
    array(
    'label'       => esc_html__( 'Menu Text Transform', 'omega-blogger' ),
    'section'     => 'omega_blogger_button_header_setting',
    'type'        => 'select',
    'choices'     => array(
        'capitalize' => esc_html__( 'Capitalize', 'omega-blogger' ),
        'uppercase'  => esc_html__( 'Uppercase', 'omega-blogger' ),
        'lowercase'    => esc_html__( 'Lowercase', 'omega-blogger' ),
        ),
    )
);

$wp_customize->add_setting('omega_blogger_header_menus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'omega_blogger_header_menus_color', array(
    'label'    => __('Main Menu Color', 'omega-blogger'),
    'section'  => 'omega_blogger_button_header_setting',
)));

$wp_customize->add_setting('omega_blogger_header_menus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'omega_blogger_header_menus_hover_color', array(
    'label'    => __('Main Menu Hover Color', 'omega-blogger'),
    'section'  => 'omega_blogger_button_header_setting',
)));

$wp_customize->add_setting('omega_blogger_header_submenus_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'omega_blogger_header_submenus_color', array(
    'label'    => __('Submenu Color', 'omega-blogger'),
    'section'  => 'omega_blogger_button_header_setting',
)));

$wp_customize->add_setting('omega_blogger_header_submenus_hover_color', array(
    'default'           => '',
    'sanitize_callback' => 'sanitize_hex_color',
));
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'omega_blogger_header_submenus_hover_color', array(
    'label'    => __('Submenu Hover Color', 'omega-blogger'),
    'section'  => 'omega_blogger_button_header_setting',
)));

$wp_customize->add_setting('omega_blogger_display_header_toggle',
    array(
        'default' => 'true',
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'omega_blogger_sanitize_checkbox',
    )
);
$wp_customize->add_control('omega_blogger_display_header_toggle',
    array(
        'label' => esc_html__('Enable / Disable Toggle', 'omega-blogger'),
        'section' => 'omega_blogger_button_header_setting',
        'type' => 'checkbox',
    )
);